List:Internals« Previous MessageNext Message »
From:Vasil Dimov Date:June 11 2007 2:00pm
Subject:Re: MySQL-5.1 does not compile with gcc 4.2.0
View as plain text  
On Wed, May 30, 2007 at 10:27:55 +0300, Vasil Dimov wrote:
[...]
> One solution would be to s/max/MAX/ everywhere in the code.

An easier _workaround_ is to #define max after #include <new> in
include/my_global.h.

-- 
Vasil Dimov
moc.elcaro@stripped        Software Developer @ Oracle/Innobase Oy
gro.DSBeerF@dv                Committer @ FreeBSD.org
gro.d5v@dv                    Home @ Sofia, Bulgaria

Attachment: [application/pgp-signature]
Thread
MySQL-5.1 does not compile with gcc 4.2.0Vasil Dimov30 May
  • Re: MySQL-5.1 does not compile with gcc 4.2.0Vasil Dimov30 May
  • Re: MySQL-5.1 does not compile with gcc 4.2.0Vasil Dimov11 Jun